﻿@model Mjesto

@{
    ViewBag.Title = "Novo mjesto";
}

<h1>Unos novog mjesta</h1>
<p>
    <small>
        Stranica za dodavanje novog mjesta. Sva polja su obavezna. Nakon dodavanja korisnik se vraća na stranicu svih mjesta, te mu se ispisuje poruka o uspjehu ili neuspjehu dodavanja mjesta.
    </small>
</p>

<form asp-action="Create" method="post">
    <div asp-validation-summary="All"></div>
    <div class="form-group">
        <label asp-for="PostanskiBroj"></label>
        <div><span asp-validation-summary="PostanskiBroj"></span></div>
        <input asp-for="PostanskiBroj" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="Naziv"></label>
        <div><span asp-validation-summary="Naziv"></span></div>
        <input asp-for="Naziv" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="FkDrzavaIso"></label>
        <div><span asp-validation-summary="FkDrzavaIso"></span></div>
        <select class="form-control" asp-for="FkDrzavaIso" asp-items="ViewBag.Drzave">
            <option selected value="" disabled>Odaberite državu</option>
        </select>
    </div>
    <div class="text-center">
        <button class="btn btn-primary" type="submit">Dodaj</button>
        <a asp-action="Index" class="btn btn-secondary">Odustani</a>
    </div>
</form>